Subject: [AAA-WG]: Issue 190: NAS-Session-Key and Session Master Keys

From: Pat Calhoun <[email-masked]>
Date: Mon, 22 Oct 2001 08:21:01 -0700

This issue requests new keying types. Below is the proposed text for this issue.

   The NAS-Key-Type AVP (AVP Code 407) is of type Enumerated, and
   specifies how the key is to be used. The following values are
   supported:

      CIPHER_KEY                 1
         The key is used to encrypt data

      INTEGRITY_KEY              2
         The key is used to authenticate the data

      MASTER_CIPHER_KEY          3
         The master cipher is used to derive further cipher keys

      MASTER_INTEGRITY_KEY       4
         The master integrity is used to derive further integrity keys

      MASTER_KEY                 5
         The master can be used to derive any type of keys, but is not
         guaranteed to be useful for any particular crypto system. Additional
         processing will be required, and is not specified in this document.

Comments welcomed,

PatC